import { render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import DeleteGRDFAccountModal from './DeleteGRDFAccountModal'

describe('DeleteGRDFAccountModal component', () => {
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <DeleteGRDFAccountModal
        open={true}
        handleCloseClick={jest.fn()}
        deleteAccount={jest.fn()}
      />
    )
    expect(baseElement).toMatchSnapshot()
  })
  it('should launch the deletion process and close modal', async () => {
    const mockDelete = jest.fn()
    render(
      <DeleteGRDFAccountModal
        open={true}
        handleCloseClick={jest.fn()}
        deleteAccount={mockDelete}
      />
    )
    await userEvent.click(
      screen.getByRole('button', { name: 'delete_grdf_modal.go' })
    )
    expect(mockDelete).toHaveBeenCalledTimes(1)
  })
})
