import { render } from '@testing-library/react'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import SplashRoot from './SplashRoot'

jest.mock('@sentry/react', () => ({
  ...jest.requireActual('@sentry/react'),
  // mock transaction because the .finish method cannot be called on undefined otherwise
  startTransaction: () => ({ finish: jest.fn() }),
}))

describe('SplashRoot component', () => {
  it('should be rendered correctly', async () => {
    const store = createMockEcolyoStore()
    const { container } = render(
      <Provider store={store}>
        <SplashRoot>children</SplashRoot>
      </Provider>
    )

    expect(container).toMatchSnapshot()
  })
})
